/**
 * A class modified from Jama (A Java Matrix) package developed by MathWorks and NIST
 @version 0.1
 @author Lincong Wang, Bruce, R. Donald
 * Wrote by Lincong Wang At Bruce's Lab at Dartmouth College
 */

public class Maths {

   /** sqrt(a^2 + b^2) without under/overflow. **/
   public static double hypot(double a, double b) {
      double r;
      if (Math.abs(a) > Math.abs(b)) {
         r = b/a;
         r = Math.abs(a)*Math.sqrt(1+r*r);
      } else if (b != 0) {
         r = a/b;
         r = Math.abs(b)*Math.sqrt(1+r*r);
      } else {
         r = 0.0;
      }
      return r;
   }
}
